### GET /api/v2/components/ Source: https://app.bugbug.io/docs/schema Returns many components. ```markdown ### Parameters - **fields** (string, query, optional): Comma-separated response fields to include. Available fields: id,originGroupId,name,isComponent,steps. - **ordering** (string (-created|-name|created|name), query, optional) - **page** (integer, query, optional): A page number within the paginated result set. - **page_size** (integer, query, optional): Number of results to return per page. - **query** (string, query, optional): Search in names with the following query ### Responses #### 200 - response **PaginatedV2GroupList** - **count** (integer) (required) (example: 123) - **next** (string (uri)) (example: "http://api.example.org/accounts/?page=4") - **previous** (string (uri)) (example: "http://api.example.org/accounts/?page=2") - **results** (array (V2Group)) (required) Array items: - **id** (string) (required) - **originGroupId** (string (uuid)) (required) - **name** (string,null) (required) - **isComponent** (boolean) (required) - **steps** (array (V2GroupStepResponse)) (required) Array items: - **id** (string (uuid)) (required) - **atIndex** (integer,null) - **type** (string) (required) - **name** (string,null) - **blockId** (string,null) - **groupId** (string,null) - **originGroupId** (string) (required) - **notes** (string,null) - **isActive** (boolean) - **runTimeout** (number,null) - **sleep** (number,null) - **waitingConditions** (array (UpdateStepWaitingCondition)) Array items: - **type** (string (documentComplete|elementIsVisible|elementIsNotCovered|elementIsNotAnimating|elementIsNotDisabled|elementHasFocus|networkIdle|pageNavigationAfterExecution|elementHasAttribute)) (required): * `documentComplete` - documentComplete * `elementIsVisible` - elementIsVisible * `elementIsNotCovered` - elementIsNotCovered * `elementIsNotAnimating` - elementIsNotAnimating * `elementIsNotDisabled` - elementIsNotDisabled * `elementHasFocus` - elementHasFocus * `networkIdle` - networkIdle * `pageNavigationAfterExecution` - pageNavigationAfterExecution * `elementHasAttribute` - elementHasAttribute ("documentComplete"|"elementIsVisible"|"elementIsNotCovered"|"elementIsNotAnimating"|"elementIsNotDisabled"|"elementHasFocus"|"networkIdle"|"pageNavigationAfterExecution"|"elementHasAttribute") - **expected** (string,null) - **isActive** (boolean) (required) - **isOverridden** (boolean) (required): Required for each item when sending waitingConditions. - **timeout** (integer,null) - **value** (string) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/components/?fields=string&ordering=-created&page=0&page_size=0&query=string" ``` ``` -------------------------------- ### GET /api/v2/suites/ Source: https://app.bugbug.io/docs/schema Returns many suites. ```markdown ### Parameters - **ordering** (string (-created|-name|created|name), query, optional) - **page** (integer, query, optional): A page number within the paginated result set. - **page_size** (integer, query, optional): Number of results to return per page. - **query** (string, query, optional): Search in names with the following query ### Responses #### 200 - response **PaginatedV2SuiteList** - **count** (integer) (required) (example: 123) - **next** (string (uri)) (example: "http://api.example.org/accounts/?page=4") - **previous** (string (uri)) (example: "http://api.example.org/accounts/?page=2") - **results** (array (V2Suite)) (required) Array items: - **id** (string (uuid)) (required) - **name** (string,null) (required) - **testsCount** (integer) (required) - **tests** (array (object)) (required) - **autoAddNewTests** (boolean) (required) - **autoRetry** (integer) (required) - **notes** (string,null) (required) - **runInParallel** (boolean) (required) - **runProfileId** (string,null) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/suites/?ordering=-created&page=0&page_size=0&query=string" ``` ``` -------------------------------- ### GET /api/v2/profiles/ Source: https://app.bugbug.io/docs/schema Returns many profiles. ```markdown ### Parameters - **page** (integer, query, optional): A page number within the paginated result set. - **page_size** (integer, query, optional): Number of results to return per page. ### Responses #### 200 - response **PaginatedV1RunProfileList** - **count** (integer) (required) (example: 123) - **next** (string (uri)) (example: "http://api.example.org/accounts/?page=4") - **previous** (string (uri)) (example: "http://api.example.org/accounts/?page=2") - **results** (array (V1RunProfile)) (required) Array items: - **id** (string (uuid)) (required) - **name** (string) (required) - **isDefault** (boolean) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/profiles/?page=0&page_size=0" ``` ``` -------------------------------- ### GET /api/v2/steps/{id}/ Source: https://app.bugbug.io/docs/schema Return a single step. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this step. ### Responses #### 200 - response **StepResponse** - **id** (string (uuid)) (required) - **atIndex** (integer,null) - **type** (string) (required) - **name** (string,null) - **blockId** (string,null) - **groupId** (string,null) - **originGroupId** (string) (required) - **notes** (string,null) - **isActive** (boolean) - **runTimeout** (number,null) - **sleep** (number,null) - **waitingConditions** (array (UpdateStepWaitingCondition)) Array items: - **type** (string (documentComplete|elementIsVisible|elementIsNotCovered|elementIsNotAnimating|elementIsNotDisabled|elementHasFocus|networkIdle|pageNavigationAfterExecution|elementHasAttribute)) (required): * `documentComplete` - documentComplete * `elementIsVisible` - elementIsVisible * `elementIsNotCovered` - elementIsNotCovered * `elementIsNotAnimating` - elementIsNotAnimating * `elementIsNotDisabled` - elementIsNotDisabled * `elementHasFocus` - elementHasFocus * `networkIdle` - networkIdle * `pageNavigationAfterExecution` - pageNavigationAfterExecution * `elementHasAttribute` - elementHasAttribute ("documentComplete"|"elementIsVisible"|"elementIsNotCovered"|"elementIsNotAnimating"|"elementIsNotDisabled"|"elementHasFocus"|"networkIdle"|"pageNavigationAfterExecution"|"elementHasAttribute") - **expected** (string,null) - **isActive** (boolean) (required) - **isOverridden** (boolean) (required): Required for each item when sending waitingConditions. - **timeout** (integer,null) - **value** (string) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/steps/{id}/" ``` ``` -------------------------------- ### GET /api/v2/settings/ Source: https://app.bugbug.io/docs/schema Returns settings for the project authenticated by the API token. ```markdown ### Responses #### 200 - response - Array of V2ProjectSettings #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/settings/" ``` ``` -------------------------------- ### GET /api/v2/suites/{id}/ Source: https://app.bugbug.io/docs/schema Returns a single suite. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this suite. ### Responses #### 200 - response **V2Suite** - **id** (string (uuid)) (required) - **name** (string,null) (required) - **testsCount** (integer) (required) - **tests** (array (object)) (required) - **autoAddNewTests** (boolean) (required) - **autoRetry** (integer) (required) - **notes** (string,null) (required) - **runInParallel** (boolean) (required) - **runProfileId** (string,null) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/suites/{id}/" ``` ``` -------------------------------- ### GET /api/v2/suiteruns/{id}/ Source: https://app.bugbug.io/docs/schema Returns single object. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this suite run. ### Responses #### 200 - response **V2SuiteRun** - **duration** (string,null) (required) - **ended** (string,null) (required) - **errorCode** (string,null) (required) - **id** (string (uuid)) (required) - **name** (string) (required) - **parallelRun** (boolean,null) (required) - **parallelSlots** (integer,null) (required) - **profileId** (string (uuid)) (required) - **profileName** (string) (required) - **queued** (string,null) (required) - **runMode** (string (server|local|recording)) (required): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording") - **sequence** (integer,null) (required) - **started** (string,null) (required) - **status** (string (error|passed|failed|running|auto_retrying|stopped|queued|paused|skipped|recording|initialized)) (required): * `error` - Error * `passed` - Passed * `failed` - Failed * `running` - Running * `auto_retrying` - Auto Retrying * `stopped` - Stopped * `queued` - Queued * `paused` - Paused * `skipped` - Skipped * `recording` - Recording * `initialized` - Initialized ("error"|"passed"|"failed"|"running"|"auto_retrying"|"stopped"|"queued"|"paused"|"skipped"|"recording"|"initialized") - **suiteId** (string,null) (required) - **testRuns** (array (V2TestRun)) (required) Array items: - **browserName** (string,null) (required) - **browserVersion** (string,null) (required) - **browserHeight** (integer,null) (required) - **browserWidth** (integer,null) (required) - **stepsRuns** (string) (required) - **userId** (string,null) (required) - **duration** (string,null) (required) - **ended** (string,null) (required) - **errorCode** (string,null) (required) - **extensionVersion** (string,null) (required) - **id** (string (uuid)) (required) - **name** (string) (required) - **osName** (string,null) (required) - **queued** (string,null) (required) - **runMode** (string (server|local|recording)) (required): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording") - **runProfileId** (string,null) (required) - **screenSizeType** (string (desktop|mobile|custom)) (required): * `desktop` - Desktop * `mobile` - Mobile * `custom` - Custom ("desktop"|"mobile"|"custom") - **sequence** (integer,null) (required) - **started** (string,null) (required) - **status** (string (error|passed|failed|running|auto_retrying|stopped|queued|paused|skipped|recording|initialized)) (required): * `error` - Error * `passed` - Passed * `failed` - Failed * `running` - Running * `auto_retrying` - Auto Retrying * `stopped` - Stopped * `queued` - Queued * `paused` - Paused * `skipped` - Skipped * `recording` - Recording * `initialized` - Initialized ("error"|"passed"|"failed"|"running"|"auto_retrying"|"stopped"|"queued"|"paused"|"skipped"|"recording"|"initialized") - **suiteRunId** (string,null) (required) - **testId** (string,null) (required) - **triggeredBy** (string (user|api|webhook|scheduler|github|cli|agent)) (required): * `user` - User * `api` - Api * `webhook` - Webhook * `scheduler` - Scheduler * `github` - Github * `cli` - Cli * `agent` - Agent ("user"|"api"|"webhook"|"scheduler"|"github"|"cli"|"agent") - **webappUrl** (string) (required) - **triggeredBy** (string) (required) - **userId** (string,null) (required) - **webappUrl** (string) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/suiteruns/{id}/" ``` ``` -------------------------------- ### GET /api/v2/suiteruns/{id}/screenshots/ Source: https://app.bugbug.io/docs/schema Returns all screenshots. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this suite run. ### Responses #### 200 - response **V2SuiteRunScreenshots** - **id** (string (uuid)) (required) - **testsRuns** (array (V2TestRunScreenshots)) (required) Array items: - **id** (string (uuid)) (required) - **stepsRuns** (array (V2StepRunScreenshot)) (required) Array items: - **id** (string (uuid)) (required) - **stepId** (string,null) (required) - **screenshotUrl** (string) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/suiteruns/{id}/screenshots/" ``` ``` -------------------------------- ### GET /api/v2/visual-regression/reference-screenshots/ Source: https://app.bugbug.io/docs/schema Returns a list of visual regression reference screenshots. ```markdown ### Parameters - **page** (integer, query, optional): A page number within the paginated result set. - **page_size** (integer, query, optional): Number of results to return per page. - **step_id** (string, query, required): Filter reference screenshots by step ID. ### Responses #### 200 - response **PaginatedV2VisualRegressionRefScreenshotList** - **count** (integer) (required) (example: 123) - **next** (string (uri)) (example: "http://api.example.org/accounts/?page=4") - **previous** (string (uri)) (example: "http://api.example.org/accounts/?page=2") - **results** (array (V2VisualRegressionRefScreenshot)) (required) Array items: - **id** (string (uuid)) (required) - **stepId** (string (uuid)) (required) - **projectArtifactId** (string,null) (required) - **screenshotUrl** (string,null) (required) - **browserName** (string,null) (required) - **osName** (string,null) (required) - **screenSizeType** (string,null) (required) - **runProfileId** (string,null) (required) - **runProfileName** (string) (required) - **runMode** (string,null) (required): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording"|"null") - **created** (string (date-time)) (required) - **modified** (string (date-time)) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/visual-regression/reference-screenshots/?page=0&page_size=0&step_id=string" ``` ``` -------------------------------- ### GET /api/v2/components/{id}/usage/ Source: https://app.bugbug.io/docs/schema Returns component usage details. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this group. ### Responses #### 200 - response - **usage** (integer) - **testsIds** (array (string (uuid))) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/components/{id}/usage/" ``` ``` -------------------------------- ### GET /api/v2/suiteruns/ Source: https://app.bugbug.io/docs/schema Returns many suite runs. ```markdown ### Parameters - **ordering** (string, query, optional): Which field to use when ordering the results. - **page** (integer, query, optional): A page number within the paginated result set. - **page_size** (integer, query, optional): Number of results to return per page. - **started_after** (string (date-time), query, optional) - **started_before** (string (date-time), query, optional) - **suiteId** (string, query, optional): Filter list by suite ID. ### Responses #### 200 - response **PaginatedV2SuiteRunList** - **count** (integer) (required) (example: 123) - **next** (string (uri)) (example: "http://api.example.org/accounts/?page=4") - **previous** (string (uri)) (example: "http://api.example.org/accounts/?page=2") - **results** (array (V2SuiteRun)) (required) Array items: - **duration** (string,null) (required) - **ended** (string,null) (required) - **errorCode** (string,null) (required) - **id** (string (uuid)) (required) - **name** (string) (required) - **parallelRun** (boolean,null) (required) - **parallelSlots** (integer,null) (required) - **profileId** (string (uuid)) (required) - **profileName** (string) (required) - **queued** (string,null) (required) - **runMode** (string (server|local|recording)) (required): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording") - **sequence** (integer,null) (required) - **started** (string,null) (required) - **status** (string (error|passed|failed|running|auto_retrying|stopped|queued|paused|skipped|recording|initialized)) (required): * `error` - Error * `passed` - Passed * `failed` - Failed * `running` - Running * `auto_retrying` - Auto Retrying * `stopped` - Stopped * `queued` - Queued * `paused` - Paused * `skipped` - Skipped * `recording` - Recording * `initialized` - Initialized ("error"|"passed"|"failed"|"running"|"auto_retrying"|"stopped"|"queued"|"paused"|"skipped"|"recording"|"initialized") - **suiteId** (string,null) (required) - **testRuns** (array (V2TestRun)) (required) Array items: - **browserName** (string,null) (required) - **browserVersion** (string,null) (required) - **browserHeight** (integer,null) (required) - **browserWidth** (integer,null) (required) - **stepsRuns** (string) (required) - **userId** (string,null) (required) - **duration** (string,null) (required) - **ended** (string,null) (required) - **errorCode** (string,null) (required) - **extensionVersion** (string,null) (required) - **id** (string (uuid)) (required) - **name** (string) (required) - **osName** (string,null) (required) - **queued** (string,null) (required) - **runMode** (string (server|local|recording)) (required): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording") - **runProfileId** (string,null) (required) - **screenSizeType** (string (desktop|mobile|custom)) (required): * `desktop` - Desktop * `mobile` - Mobile * `custom` - Custom ("desktop"|"mobile"|"custom") - **sequence** (integer,null) (required) - **started** (string,null) (required) - **status** (string (error|passed|failed|running|auto_retrying|stopped|queued|paused|skipped|recording|initialized)) (required): * `error` - Error * `passed` - Passed * `failed` - Failed * `running` - Running * `auto_retrying` - Auto Retrying * `stopped` - Stopped * `queued` - Queued * `paused` - Paused * `skipped` - Skipped * `recording` - Recording * `initialized` - Initialized ("error"|"passed"|"failed"|"running"|"auto_retrying"|"stopped"|"queued"|"paused"|"skipped"|"recording"|"initialized") - **suiteRunId** (string,null) (required) - **testId** (string,null) (required) - **triggeredBy** (string (user|api|webhook|scheduler|github|cli|agent)) (required): * `user` - User * `api` - Api * `webhook` - Webhook * `scheduler` - Scheduler * `github` - Github * `cli` - Cli * `agent` - Agent ("user"|"api"|"webhook"|"scheduler"|"github"|"cli"|"agent") - **webappUrl** (string) (required) - **triggeredBy** (string) (required) - **userId** (string,null) (required) - **webappUrl** (string) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/suiteruns/?ordering=string&page=0&page_size=0&started_after=2023-01-01T00:00:00Z&started_before=2023-01-01T00:00:00Z&suiteId=string" ``` ``` -------------------------------- ### GET /api/v2/visual-regression/reference-screenshots/{id}/ Source: https://app.bugbug.io/docs/schema Returns a single visual regression reference screenshot. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this visual regression ref screenshot. ### Responses #### 200 - response **V2VisualRegressionRefScreenshot** - **id** (string (uuid)) (required) - **stepId** (string (uuid)) (required) - **projectArtifactId** (string,null) (required) - **screenshotUrl** (string,null) (required) - **browserName** (string,null) (required) - **osName** (string,null) (required) - **screenSizeType** (string,null) (required) - **runProfileId** (string,null) (required) - **runProfileName** (string) (required) - **runMode** (string,null) (required): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording"|"null") - **created** (string (date-time)) (required) - **modified** (string (date-time)) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/visual-regression/reference-screenshots/{id}/" ``` ``` -------------------------------- ### GET /api/v2/profiles/{id}/ Source: https://app.bugbug.io/docs/schema Returns a single profile. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this run profile. ### Responses #### 200 - response **V1RunProfile** - **id** (string (uuid)) (required) - **name** (string) (required) - **isDefault** (boolean) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/profiles/{id}/" ``` ``` -------------------------------- ### GET /api/v2/suiteruns/{id}/report/junit/ Source: https://app.bugbug.io/docs/schema Download the report for the selected suite run in the specified format. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this suite run. ### Responses #### 200 - JUnit XML report file #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/suiteruns/{id}/report/junit/" ``` ``` -------------------------------- ### GET /api/v2/stepruns/{id}/ Source: https://app.bugbug.io/docs/schema Returns a single step run. ```markdown ### Parameters - **id** (string (uuid), path, required): A UUID string identifying this step run. ### Responses #### 200 - response **V2StepRunDetail** - **id** (string (uuid)) (required) - **stepId** (string (uuid)) (required) - **testRunId** (string (uuid)) (required) - **type** (string) (required) - **status** (string (error|passed|failed|running|auto_retrying|stopped|queued|paused|skipped|recording|initialized)): * `error` - Error * `passed` - Passed * `failed` - Failed * `running` - Running * `auto_retrying` - Auto Retrying * `stopped` - Stopped * `queued` - Queued * `paused` - Paused * `skipped` - Skipped * `recording` - Recording * `initialized` - Initialized ("error"|"passed"|"failed"|"running"|"auto_retrying"|"stopped"|"queued"|"paused"|"skipped"|"recording"|"initialized") - **error** (string,null) - **errorCode** (string,null) - **warning** (boolean) - **forceFailed** (boolean) - **ignoredFailed** (boolean) - **executed** (boolean,null) - **elementExists** (boolean,null) - **timeout** (boolean,null) - **executionUrl** (string,null) - **started** (string,null) - **ended** (string,null) - **duration** (string,null) - **runTimeout** (number,null) - **sleep** (number,null) - **screenshotUrl** (string) (required) - **coveringElementScreenshot** (string) (required) - **assertionExpectedValue** (string,null) - **assertionCurrentValue** (string,null) - **assertionType** (string) (required) - **assertionProperty** (string) (required) - **tabNo** (integer) (required) - **computedValue** (string,null) - **computedUrl** (string,null) - **computedUsername** (string,null) - **computedPassword** (string,null) - **computedFrameLocation** (string,null) - **computedAssertionExpectedValue** (string,null) - **computedSelector** (string,null) - **selector** (string,null) - **interactionPositionX** (number,null) - **interactionPositionY** (number,null) - **scrollX** (number,null) - **scrollY** (number,null) - **windowInnerWidth** (number,null) - **windowInnerHeight** (number,null) - **waitingConditions** (array (V2WaitingConditionRun)) (required) Array items: - **type** (string) (required) - **isSuccess** (boolean) (required) - **isSoftSuccess** (boolean) - **isIgnored** (boolean) - **expected** (string,null) - **current** (string,null) - **visualRegressionRefScreenshotSourceId** (string,null) (required) - **visualRegressionCompareResult** (object) (required) - **refScreenshotUrl** (string,null) (required) - **observedScreenshotUrl** (string,null) (required) - **diffScreenshotUrl** (string,null) (required) - **maxDiff** (number (double)) (required): Maximum allowed difference used for comparison - **observedDiff** (number,null) (required) - **executionTime** (number,null) - **browserName** (string,null) - **osName** (string,null) - **screenSizeType** (string,null): * `desktop` - Desktop * `mobile` - Mobile * `custom` - Custom ("desktop"|"mobile"|"custom"|""|"null") - **runMode** (string,null): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording"|""|"null") - **profileName** (string) (required) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. #### 404 - Resource not found. Resource not found. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/stepruns/{id}/" ``` ``` -------------------------------- ### GET /api/v2/tests/ Source: https://app.bugbug.io/docs/schema Returns many tests. ```markdown ### Parameters - **ordering** (string (-created|-name|created|name), query, optional) - **page** (integer, query, optional): A page number within the paginated result set. - **page_size** (integer, query, optional): Number of results to return per page. - **query** (string, query, optional): Search in names with the following query ### Responses #### 200 - response **PaginatedV2TestList** - **count** (integer) (required) (example: 123) - **next** (string (uri)) (example: "http://api.example.org/accounts/?page=4") - **previous** (string (uri)) (example: "http://api.example.org/accounts/?page=2") - **results** (array (V2Test)) (required) Array items: - **id** (string (uuid)) (required) - **name** (string) #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X GET "https://api.example.com/api/v2/tests/?ordering=-created&page=0&page_size=0&query=string" ``` ``` -------------------------------- ### POST /api/v2/suiteruns/ Source: https://app.bugbug.io/docs/schema Execute desired suite. ```markdown ### Request Body **Content-Type:** application/json - **suiteId** (string (uuid)) (required) - **runProfileId** (string,null) - **variables** (array,null) ### Responses #### 200 - response **V2SuiteRunStatus** - **id** (string (uuid)) (required) - **status** (string (error|passed|failed|running|auto_retrying|stopped|queued|paused|skipped|recording|initialized)) (required): * `error` - Error * `passed` - Passed * `failed` - Failed * `running` - Running * `auto_retrying` - Auto Retrying * `stopped` - Stopped * `queued` - Queued * `paused` - Paused * `skipped` - Skipped * `recording` - Recording * `initialized` - Initialized ("error"|"passed"|"failed"|"running"|"auto_retrying"|"stopped"|"queued"|"paused"|"skipped"|"recording"|"initialized") - **finishedTests** (integer) (required) - **totalTests** (integer) (required) - **modified** (string (date-time)) (required) - **webappUrl** (string) (required) #### 400 - Request body failed validation. Request body failed validation. #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/suiteruns/" \ -H "Content-Type: application/json" \ -d '{ "suiteId": "string", "runProfileId": "value", "variables": "" }' ``` ``` -------------------------------- ### POST /api/v2/steps/ Source: https://app.bugbug.io/docs/schema Create a new step. ```markdown ### Request Body **Content-Type:** application/json - **id** (string (uuid)) (required) - **atIndex** (integer,null) - **type** (string) (required) - **name** (string,null) - **blockId** (string,null) - **groupId** (string,null) - **originGroupId** (string) (required) - **notes** (string,null) - **isActive** (boolean) - **runTimeout** (number,null) - **sleep** (number,null) - **waitingConditions** (array (UpdateStepWaitingCondition)) Array items: - **type** (string (documentComplete|elementIsVisible|elementIsNotCovered|elementIsNotAnimating|elementIsNotDisabled|elementHasFocus|networkIdle|pageNavigationAfterExecution|elementHasAttribute)) (required): * `documentComplete` - documentComplete * `elementIsVisible` - elementIsVisible * `elementIsNotCovered` - elementIsNotCovered * `elementIsNotAnimating` - elementIsNotAnimating * `elementIsNotDisabled` - elementIsNotDisabled * `elementHasFocus` - elementHasFocus * `networkIdle` - networkIdle * `pageNavigationAfterExecution` - pageNavigationAfterExecution * `elementHasAttribute` - elementHasAttribute ("documentComplete"|"elementIsVisible"|"elementIsNotCovered"|"elementIsNotAnimating"|"elementIsNotDisabled"|"elementHasFocus"|"networkIdle"|"pageNavigationAfterExecution"|"elementHasAttribute") - **expected** (string,null) - **isActive** (boolean) (required) - **isOverridden** (boolean) (required): Required for each item when sending waitingConditions. - **timeout** (integer,null) - **value** (string) (required) ### Responses #### 201 - response **StepResponse** - **id** (string (uuid)) (required) - **atIndex** (integer,null) - **type** (string) (required) - **name** (string,null) - **blockId** (string,null) - **groupId** (string,null) - **originGroupId** (string) (required) - **notes** (string,null) - **isActive** (boolean) - **runTimeout** (number,null) - **sleep** (number,null) - **waitingConditions** (array (UpdateStepWaitingCondition)) Array items: - **type** (string (documentComplete|elementIsVisible|elementIsNotCovered|elementIsNotAnimating|elementIsNotDisabled|elementHasFocus|networkIdle|pageNavigationAfterExecution|elementHasAttribute)) (required): * `documentComplete` - documentComplete * `elementIsVisible` - elementIsVisible * `elementIsNotCovered` - elementIsNotCovered * `elementIsNotAnimating` - elementIsNotAnimating * `elementIsNotDisabled` - elementIsNotDisabled * `elementHasFocus` - elementHasFocus * `networkIdle` - networkIdle * `pageNavigationAfterExecution` - pageNavigationAfterExecution * `elementHasAttribute` - elementHasAttribute ("documentComplete"|"elementIsVisible"|"elementIsNotCovered"|"elementIsNotAnimating"|"elementIsNotDisabled"|"elementHasFocus"|"networkIdle"|"pageNavigationAfterExecution"|"elementHasAttribute") - **expected** (string,null) - **isActive** (boolean) (required) - **isOverridden** (boolean) (required): Required for each item when sending waitingConditions. - **timeout** (integer,null) - **value** (string) (required) #### 400 - Request body failed validation. Request body failed validation. #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/steps/" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "atIndex": "value", "type": "string", "name": "value", "blockId": "value", "groupId": "value", "originGroupId": "string", "notes": "value", "isActive": "true", "runTimeout": "value", "sleep": "value", "waitingConditions": [ "value" ], "value": "string" }' ``` ``` -------------------------------- ### POST /api/v2/suites/ Source: https://app.bugbug.io/docs/schema Creates a suite. ```markdown ### Request Body **Content-Type:** application/json - **autoAddNewTests** (boolean) - **autoRetry** (integer) - **notes** (string,null) - **name** (string,null) - **runInParallel** (boolean) - **runProfileId** (string (uuid)) (required) - **tests** (array (string (uuid))) ### Responses #### 201 - response **V2Suite** - **id** (string (uuid)) (required) - **name** (string,null) (required) - **testsCount** (integer) (required) - **tests** (array (object)) (required) - **autoAddNewTests** (boolean) (required) - **autoRetry** (integer) (required) - **notes** (string,null) (required) - **runInParallel** (boolean) (required) - **runProfileId** (string,null) (required) #### 400 - Request body failed validation. Request body failed validation. #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/suites/" \ -H "Content-Type: application/json" \ -d '{ "autoAddNewTests": "true", "autoRetry": "0", "notes": "value", "name": "value", "runInParallel": "true", "runProfileId": "string", "tests": [ "string" ] }' ``` ``` -------------------------------- ### POST /api/v2/visual-regression/reference-screenshots/ Source: https://app.bugbug.io/docs/schema Creates a new visual regression reference screenshot. ```markdown ### Request Body **Content-Type:** application/x-www-form-urlencoded - **stepId** (string (uuid)) (required) - **screenshot** (string (uri)) (required) - **browserName** (string,null) - **osName** (string,null) - **screenSizeType** (string,null): * `desktop` - Desktop * `mobile` - Mobile * `custom` - Custom ("desktop"|"mobile"|"custom"|""|"null") - **runProfileId** (string,null) - **runMode** (string,null): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording"|""|"null") **Content-Type:** application/json - **stepId** (string (uuid)) (required) - **screenshot** (string (uri)) (required) - **browserName** (string,null) - **osName** (string,null) - **screenSizeType** (string,null): * `desktop` - Desktop * `mobile` - Mobile * `custom` - Custom ("desktop"|"mobile"|"custom"|""|"null") - **runProfileId** (string,null) - **runMode** (string,null): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording"|""|"null") ### Responses #### 201 - response **V2VisualRegressionRefScreenshot** - **id** (string (uuid)) (required) - **stepId** (string (uuid)) (required) - **projectArtifactId** (string,null) (required) - **screenshotUrl** (string,null) (required) - **browserName** (string,null) (required) - **osName** (string,null) (required) - **screenSizeType** (string,null) (required) - **runProfileId** (string,null) (required) - **runProfileName** (string) (required) - **runMode** (string,null) (required): * `server` - cloud * `local` - local * `recording` - recording ("server"|"local"|"recording"|"null") - **created** (string (date-time)) (required) - **modified** (string (date-time)) (required) #### 400 - Request body failed validation. Request body failed validation. #### 401 - Authentication credentials were missing or invalid. Authentication credentials were missing or invalid. ### Example Usage ```bash curl -X POST "https://api.example.com/api/v2/visual-regression/reference-screenshots/" \ -H "Content-Type: application/json" \ -d '{ "stepId": "string", "screenshot": "string", "browserName": "value", "osName": "value", "screenSizeType": "value", "runProfileId": "value", "runMode": "value" }' ``` ```